<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
$set['title']='Пользователи'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
$sort='id';

$por='DESC';

if (isset($_GET['ASC']))$por='ASC'; // прямой порядок
if (isset($_GET['DESC']))$por='DESC'; // обратный порядок


switch (@$_GET['sort']) {
	case 'balls':$sql_sort='`user`.`balls`';$sort='balls'; // баллы
 	break;
	case 'level':$sql_sort='`user_group`.`level`';$sort='level'; // уровень
 	break;
	case 'rating':$sql_sort='`user`.`rating`';$sort='rating'; // рейтинг
 	break;
	case 'pol':$sql_sort='`user`.`pol`';$sort='pol'; // пол
 	break;
 	default:$sql_sort='`user`.`id`';$sort='id'; // ID
 	break;
}



$usearch=NULL;
if (isset($_SESSION['usearch']))$usearch=$_SESSION['usearch'];
if (isset($_POST['usearch']))$usearch=$_POST['usearch'];

if ($usearch==NULL)
unset($_SESSION['usearch']);
else
$_SESSION['usearch']=$usearch;
$usearch=preg_replace("#( ){1,}#","",$usearch);
if (isset($_GET['go']) && $usearch!=NULL)
{
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` like '%".mysql_escape_string($usearch)."%' OR `id` = '".intval($usearch)."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "<div class='nol'>Нет результатов</div>\n";
}
$q=mysql_query("SELECT `id` FROM `user` WHERE `nick` like '%".mysql_escape_string($usearch)."%' OR `id` = '".intval($usearch)."' ORDER BY `$sort` $por LIMIT $start, $set[p_str]");
while ($ank = mysql_fetch_assoc($q))
{
$ank=get_user($ank['id']);
if($num==1){
echo '<div class="gmenu">';
$num=0;
}else{
echo '<div class="gmenu">';
$num=1;}
echo "".avatar2($ank['id'])."<br />\n";
echo "".online($ank['id'])." \n";
echo "<a href='/info.php?id=$ank[id]'><span style='color:$ank[ncolor]'>$ank[nick]</span></a>\n";
echo "".medal($ank['id'])."";
echo "<br />\n";
echo "<img src='/love/rat.png'> <span class='ank_n'>Рейтинг:</span> <span class='ank_d'>$ank[rating]</span><br />\n";

if (user_access('user_prof_edit') && $user['level']>$ank['level'])
{
echo "<a href='/adm_panel/user.php?id=$ank[id]'>Редактировать профиль</a><br />\n";
}
echo "  </div>\n";
}

if ($k_page>1)str("users.php?go&amp;sort=$sort&amp;$por&amp;",$k_page,$page); // Вывод страниц
}
else
echo "<div class='post'>\Введите ник:</div>\n";




echo "<form method='post' action='/users.php?go&amp;sort=$sort&amp;$por'>";
$usearch=stripcslashes(htmlspecialchars($usearch));
echo "<input type='text' name='usearch' maxlength='16' value='$usearch'><br />\n";
echo "<input type='submit' value='Найти юзера'>";
echo "</form>\n";
################################################################################
if (!isset($_GET['go']))
{
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

if ($k_post==0)
{
echo "<div class='p_t'>Нет результатов</div>\n";
}
$q=mysql_query("SELECT `user`.`id` FROM `user` LEFT JOIN `user_group` ON `user`.`group_access` = `user_group`.`id` ORDER BY $sql_sort $por LIMIT $start, $set[p_str]");
while ($ank = mysql_fetch_assoc($q))
{
$ank=get_user($ank['id']);
if($num==1){
echo '<div class="gmenu">';
$num=0;
}else{
echo '<div class="gmenu">';
$num=1;}
echo "".avatar2($ank['id'])."<br />\n";
echo "".on($ank['id'])."\n";
echo "".status($ank['id'])."";
echo "<a href='/info.php?id=$ank[id]'><span style='color:$ank[ncolor]'>$ank[nick]</span></a>\n";
echo "".medal($ank['id'])."<br />\n";
echo "<img src='/style/stat.png'> <span class='ank_n'>Рейтинг:</span> <span class='ank_d'>$ank[rating]</span><br />\n";
if (user_access('user_prof_edit') && $user['level']>$ank['level'])
{
echo "<a href='/adm_panel/user.php?id=$ank[id]'>Редактировать профиль</a><br />\n";
}
echo "</div>\n";
}

if ($k_page>1)str("users.php?sort=$sort&amp;$por&amp;",$k_page,$page); // Вывод страниц

}
################################################################################
include_once 'sys/inc/tfoot.php';
?>